List custom profile fields
Returns a paginated list of the tenant's custom profile fields. Use
?include=values to embed each field's stored values.
Query Parameters
- Type: integer | nullcross
_tenant _user _id Integer numbers.
Headers
- Type: stringX
- Api - Version Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-03-25.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/custom_profile_fields
curl 'https://api.getcommunal.com/api/custom_profile_fields?cross_tenant_user_id=null' \
--header 'X-Api-Version: 2026-03-25' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": 1,
"tenant_id": null,
"name": "string",
"display_on_membership_card": true,
"user_editable": true,
"locked": true,
"parent_profile_field_id": null,
"created_at": null,
"updated_at": null,
"deleted_at": null,
"values": [
{
"id": 1,
"tenant_id": null,
"value": "string",
"user_id": null,
"custom_profile_field_id": 1,
"created_at": null,
"updated_at": null,
"deleted_at": null,
"custom_profile_field": "string"
}
]
}
],
"current_page": 1,
"from": null,
"last_page": 1,
"per_page": 1,
"to": null,
"total": 0
}